/*
 * @brief adc.h
 * This handler is for the ADC in Polling mode for ADD0, ADD1 & ADD2
 *
 * @note
 * UNIVERSITAT OBERTA DE CATALUNYA
 * TREBALL FINAL DE CARRERA - SISTEMES ENCASTATS
 *
 * Jordi Arroyo, 2016
 */

#ifndef ADC_H_
#define ADC_H_

/* Remove comment to Debug brake acceleration calculation */
//#define DEVELOPMENT_ADC_MODE

/* Analogical-Digital Channels */
#define _ADC_CHANNLE_X ADC_CH0
#define _ADC_CHANNLE_Y ADC_CH1
#define _ADC_CHANNLE_Z ADC_CH2

/* Analogical-Digital Register */
#define _LPC_ADC_ID LPC_ADC

/**
 * Accuracy Modes
 * Accuracy float very sensible
 * No Float work with integers without decimal numbers
 * In Integer Mode can be reduced Accuracy to only 9 bits of 12
 * in order to stabilize the reading
 */
/* accuracy float */
//#define ACCURACY_FLOAT
#ifndef ACCURACY_FLOAT
/* accuracy of 9 bits */
#define ACCURACY_9_BITS
#endif

/**
 * @brief	Initializes board ADC, Enable channels & offset calculation
 * @return	None
 */
extern void adc_Init(void);

/**
 * @brief	read & print in DEVELOPMENT_ADC_MODE ADC VAlues
 * 			Call functions to acceleration brake calculation
 * @param	acc_brake	Pointer where to put acceleration brake
 * @return	None
 * @note	This function use private methods
 */
extern void readADC(float *acc_brake);

#endif /* ADC_H_ */
