/*
 * @brief types.h
 *
 * @note
 * UNIVERSITAT OBERTA DE CATALUNYA
 * TREBALL FINAL DE CARRERA - SISTEMES ENCASTATS
 *
 * Jordi Arroyo, 2016
 */


#ifndef INC_TYPES_H_
#define INC_TYPES_H_

#include "portmacro.h"
#include "board.h"

/* States of the states machine */
typedef enum SYSTEM_STATUS {
	SYSTEM_ON = 0,				/* System working */
	SYSTEM_BRAKE_ACT,			/* Brake activation */
	SYSTEM_WARNING,				/* Brake Defect */
	SYSTEM_EMERGENCY_BRAKE		/* Emergency brake */
} SYSTEM_STATUS_T;

/* Structure of global status of the system */
typedef struct {
	SYSTEM_STATUS_T mode;		/* State of the system */
	float a_value;				/* acceleration */
	uint8_t statusIN;			/* state of INs */
} STATUS_GLOBAL;

/* Type of execution */
typedef enum TYPE_EXEC {
	EXEC_SECC = 0,				/* Sequential execution */
	EXEC_TASK					/* Tasks execution in SO */
} TYPE_EXEC_T;

/* Size of buffers */
#define LtlSIZE		64
#define LowSIZE		128
#define MinSIZE		256
#define TipSIZE		512
#define MaxSIZE		1024
#define SuperSIZE	2048

#define WIFLY_SIZE		( MinSIZE )			/*Size for Wifly Buffer communication */
#define DEBUG_SIZE		( LowSIZE )			/*Size for Debug UART Buffer communication */
#define AUX_SIZE		( LtlSIZE )			/*Size for auxiliar Buffer */

/* Type of level of outs */
typedef enum OUT_LEVEL {
	OUT_LOW = 0,
	OUT_HIGH
} OUT_LEVEL_T;

#endif /* INC_TYPES_H_ */
