/*
 * @brief iniConfig.h
 * Initial global parameters
 *
 * @note
 * UNIVERSITAT OBERTA DE CATALUNYA
 * TREBALL FINAL DE CARRERA - SISTEMES ENCASTATS
 *
 * Jordi Arroyo, 2016
 */

#ifndef INC_INICONFIG_H_
#define INC_INICONFIG_H_

/* Wifly connection */
#define PERSONAL_WIFLY_CONF			/* Comment for Default configuration in wifly.h */

#ifdef PERSONAL_WIFLY_CONF
	#define WIFYPASS		"XXXXXXXXXXXXXX"	/* Pass for Wifi SSID */
	#define SSID			"XXXXXXXXXXXX"		/* SSID to Join	*/

	#define UDP				"1"					/* Only UDP connection */
	#define REMOTE_HOST		"192.168.0.100"		/* IP address of remote host */
	#define LOCAL_PORT		"999"				/* Local port */
	#define REMOTE_PORT		"5000"				/* Remote port */

	#define TEST_IP			REMOTE_HOST			/* IP for test ping */
#endif /* PERSONAL_WIFLY_CONF*/

/* Minimal acceleration brake */
#define BRAKEMIN		3.0		/* m/s2 */

/* Reaction Time */
#define REACTION_TIME		( portTickType )2000 	/* Milliseconds */

/* Detection Time */
#define DETECTION_TIME		( portTickType )500 	/* Milliseconds */

/* Delay between Wifly & Debub messages */
/* Be careful with change this parameter, Functionality can be wrong */
#define TIME_MSG			( portTickType )100		/* Milliseconds */

/* Delay between main Tasks executions (ADC, Main, INs, OUTs) */
/* Be careful with change this parameter, Functionality can be wrong */
#define TIME_TASK			( portTickType )10		/* Milliseconds */


#endif /* INC_INICONFIG_H_ */
